#!/bin/sh
# Bryant Hansen

SYNC_SRC_DIR="/tmp/logs"
CONF_FILE="/etc/logfile_uploader.conf"

if [[ ! -f "$CONF_FILE" ]] ; then
        echo "$ME ERROR: configuration file $CONF_FILE not found." >&2
        echo "Exiting abnormally." >&2
        exit 2
fi
. "$CONF_FILE"

if [[ ! "$SYNC_SRC_DIR" ]] ; then
        echo "$ME ERROR: SYNC_SRC_DIR not specified" >&2
        echo "Exiting abnormally." >&2
        exit 3
fi

if [[ ! -d "$SYNC_SRC_DIR" ]] ; then
        echo "SYNC_SRC_DIR $SYNC_SRC_DIR does not exist.  Exiting without doing anything." >&2
        exit 0
fi

echo "rm -rf \"${SYNC_SRC_DIR}\""
